For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETQuery Time Entries
      • POSTCreate Time Entry
      • PUTUpdate Time Entry
      • DELDelete Time Entry
      • GETRetrieve Administrative Tasks
      • POSTSubmit TimeSheet
      • POSTApprove TimeSheet
      • POSTReject TimeSheet
LogoLogo
SupportContact salesStart free trial
API ReferenceTimesheet

Submit TimeSheet

POST
https://api.projectmanager.com/api/data/timesheets/approvals
POST
/api/data/timesheets/approvals
$curl -X POST https://api.projectmanager.com/api/data/timesheets/approvals \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "date": "2024-01-15T09:30:00Z"
>}'
200Successful
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": {
14 "modifiedDate": "2024-01-15T09:30:00Z",
15 "pendingApprovals": [
16 {
17 "resourceId": "string",
18 "date": "2024-01-15T09:30:00Z",
19 "resourceName": "string"
20 }
21 ]
22 }
23}
Submit a Timesheet for approval for a specific Resource and week. A Timesheet is a collection of time entries for a particular Resource for a specific week. Each time entry records the number of whole minutes spent by this Resource on an activity. An activity can be a Task in any project that Resource can access, or the activity can be an administrative task such as "Sick Leave" or "Meetings". When a time entry is linked to a Task, the number of minutes spent on the time entry are recorded as time spent on the Task. Time entries linked to an administrative tasks are grouped for reporting but are not added to any Task within your Workspace. Time entries are recorded in whole minutes. If you specify a time entry in fractional hours, either using the API or via the web application, the amount you specify will be converted to minutes and rounded to the nearest neighbor using the rounding algorithm Midpoint-Away-From-Zero. When a Timesheet is submitted for approval or approved, users are no longer permitted to create, update, or delete time entries for that week. Users with Global Admin level access can override this restriction and continue to make changes to a Timesheet after approval.
Was this page helpful?
Previous

Approve TimeSheet

Next
Built with

Submit a Timesheet for approval for a specific Resource and week.

A Timesheet is a collection of time entries for a particular Resource for a specific week. Each time entry records the number of whole minutes spent by this Resource on an activity. An activity can be a Task in any project that Resource can access, or the activity can be an administrative task such as “Sick Leave” or “Meetings”. When a time entry is linked to a Task, the number of minutes spent on the time entry are recorded as time spent on the Task. Time entries linked to an administrative tasks are grouped for reporting but are not added to any Task within your Workspace.

Time entries are recorded in whole minutes. If you specify a time entry in fractional hours, either using the API or via the web application, the amount you specify will be converted to minutes and rounded to the nearest neighbor using the rounding algorithm Midpoint-Away-From-Zero.

When a Timesheet is submitted for approval or approved, users are no longer permitted to create, update, or delete time entries for that week. Users with Global Admin level access can override this restriction and continue to make changes to a Timesheet after approval.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Request

The Timesheet to be submitted for approval
datestringRequiredformat: "date-time"
The date of the week to which the timesheet applies
resourceIdstring or nullOptionalformat: "uuid"

The id for the resource, if null it indicates the request is for the current logged-in user

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject
Holds the list of pending timesheet approvals